Bug 204861 - [PATCH] www/hiawatha: Build fails during fetch
Summary: [PATCH] www/hiawatha: Build fails during fetch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-28 11:58 UTC by Mats Klingberg
Modified: 2015-12-02 18:17 UTC (History)
1 user (show)

See Also:
junovitch: merge-quarterly+


Attachments
Patch with changed download location (382 bytes, text/plain)
2015-11-28 11:59 UTC, Mats Klingberg
koobs: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mats Klingberg 2015-11-28 11:58:18 UTC
The release of Hiawatha 10.0 (2015-11-25) seems to have moved the download location for 9.15. I believe the attached patch fixes the issue (another fix would of course be to update to version 10.0).

Poudriere log output:
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===>  Found saved configuration for hiawatha-9.15
=> hiawatha-9.15.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch https://www.hiawatha-webserver.org/files/hiawatha-9.15.tar.gz
fetch: https://www.hiawatha-webserver.org/files/hiawatha-9.15.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/hiawatha-9.15.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/hiawatha-9.15.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.
*** Error code 1
Comment 1 Mats Klingberg 2015-11-28 11:59:56 UTC
Created attachment 163608 [details]
Patch with changed download location

Managed to miss the attachment in the previous message.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-28 12:08:28 UTC
Comment on attachment 163608 [details]
Patch with changed download location

Port is un-maintained, implicit approval
Comment 3 commit-hook freebsd_committer 2015-11-30 00:55:12 UTC
A commit references this bug:

Author: junovitch
Date: Mon Nov 30 00:54:16 UTC 2015
New revision: 402639
URL: https://svnweb.freebsd.org/changeset/ports/402639

Log:
  www/hiawatha: Fix fetch due to upstream subdirectory change

  PR:		204861
  Submitted by:	Mats Klingberg <maklingberg@gmail.com>

Changes:
  head/www/hiawatha/Makefile
Comment 4 Jason Unovitch freebsd_committer 2015-11-30 01:03:39 UTC
On hold pending MFH approval from portmgr@ or ports-secteam@.  The MFH was requested separately with the 9.14 -> 9.15 version bump and options helper conversion while the `make fetch` impacts both version.  I see no reason not to batch up all 4 commits and MFH to quarterly.
Comment 5 Jason Unovitch freebsd_committer 2015-11-30 01:05:20 UTC
Fix flags: needs-qa -> patch-ready
Comment 6 commit-hook freebsd_committer 2015-12-02 18:15:09 UTC
A commit references this bug:

Author: junovitch
Date: Wed Dec  2 18:14:50 UTC 2015
New revision: 402841
URL: https://svnweb.freebsd.org/changeset/ports/402841

Log:
  MFH: r399650, r399808, r399956, r402639

  r399650
  www/hiawatha: Reset MAINTAINER

  Reset MAINTAINER at current maintainers request.

  PR:             203862
  Requested by:   Chris Petrik <chris bsdjunk com> (maintainer)

  r399808
  www/hiawatha: Update to 9.15

   * Update PORTVERSION and distinfo (9.15)
   * Update pkg-plist (new shared library versions)
   * Add LICENSE_FILE

  Changes:

    https://www.hiawatha-webserver.org/changelog

  Approved by:    unmaintained

  r399956
  - Switch to options helpers

  r402639
  www/hiawatha: Fix fetch due to upstream subdirectory change

  PR:             204861
  Submitted by:   Mats Klingberg <maklingberg@gmail.com>

  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/www/hiawatha/Makefile
  branches/2015Q4/www/hiawatha/distinfo
  branches/2015Q4/www/hiawatha/pkg-plist
Comment 7 Jason Unovitch freebsd_committer 2015-12-02 18:17:13 UTC
Mats,
Thanks!

Set merge-quarterly+ and close PR.